summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin King2017-12-22 12:07:34 -0500
committerKevin King2017-12-22 17:09:03 -0500
commit7120012b75431ce1ee792ba28f71e9b0779bca42 (patch)
tree747a9ad1d301a479b5f21f60ef5c634046c45f05
parent36e7d588a0f04a57a01fc3d1457dedda2ddb8d08 (diff)
downloadaur-7120012b75431ce1ee792ba28f71e9b0779bca42.tar.gz
set rustup toolchain default if not set
-rw-r--r--PKGBUILD2
1 files changed, 2 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 77da520e43c..8e3848bc6ee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -27,6 +27,8 @@ pkgver() {
}
prepare() {
+ # ensure a toolchain is selected
+ rustup which cargo || rustup default stable || true
mkdir -p "${srcdir}/src/github.com/kryptco/"
rm -rf "${srcdir}/src/github.com/kryptco/kr"
mv "${srcdir}/kr" "${srcdir}/src/github.com/kryptco/kr"